commit fcb19b902aeeece3dbb0c7ce25c25f5ea203ee1e
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Jun 27 02:20:37 2023

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2cf61a4ffbf..36a241c62ca 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230626
+20230627
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 4d0ad3a0dde..36e2ba84ff7 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,13 @@
+2023-06-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2023-06-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/110359
+	* d-convert.cc (convert_for_rvalue): Only apply the @safe boolean
+	conversion to boolean fields of a union.
+	(convert_for_condition): Call convert_for_rvalue in the default case.
+
 2023-05-29  Release Manager
 
 	* GCC 11.4.0 released.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 18ecea9c0e8..9a3cee67ce5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2023-06-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2023-06-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/110359
+	* gdc.dg/pr110359.d: New test.
+
 2023-06-20  Kewen Lin  <linkw@linux.ibm.com>
 
 	PR target/109932

